package models

import (
  "gorm.io/gorm"
)

type Test struct {
  gorm.Model
  Name          string

  // belongs to hardware
  HardwareID    int
  Hardware      Hardware

  // many-to-many benchmarks
  Benchmarks[]  Benchmark `gorm:"many2many:tests_benchmarks;"`
}
